#! /bin/bash -f

EXP_DIR=$HOME/exp/commisioning_samurai
ROOT_DIR=/usr/local/root

source $ROOT_DIR/bin/thisroot.sh

if [ -z $1 ]; then
    echo ' '
    echo ' == ANAROOT_SETUP =='
    echo ' '
    echo -n ' Please Input Your Name: '
    read  ANAROOT_USER
    echo ' Name : ' $ANAROOT_USER
else
    ANAROOT_USER=$1
fi

ANAROOT_WORK=$EXP_DIR/users/$ANAROOT_USER

if [ ! -d $ANAROOT_WORK ]; then
    echo ' '
    echo -n ' New user! Do you create new directory for this user? [y/n]: '
    while :
    do
	read ans
	case $ans in
	    [yY])
		cp -r $EXP_DIR/users/default $ANAROOT_WORK/;
		break;;
	    [nN])
		exit;
	esac
	echo -n " y/n: "
    done
else
    echo ' '
    echo ' Your have already work directory. Start ANAROOT!'
    echo ' '
fi

echo ' '
echo ' ================================================================== '
echo ' ======================== ENJOY ANAROOT ! ========================= '
echo ' ================================================================== '
echo ' '


export TARTSYS=$ANAROOT_WORK/src
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$TARTSYS/lib

alias acd='cd '$ANAROOT_WORK

unset EXP_DIR
unset ROOT_DIR
unset ANAROOT_WORK
unset ANAROOT_USER

acd
